Summary:        Webmin module for 'Lustitia Config'
Name:           wbm-lustitia
Version:        0.1
Release:        15.1
Requires:       webmin linkat-lustitia
BuildRequires:  webmin linkat-lustitia
License:        GPL
Url:            http://xtec.cat/
Group:          System/Tools
Source:         lustitia.tar.gz
Vendor:         linkat
Distribution:   education


%description
Webmin module for 'Lustitia Config' in RPM format

%prep
%setup -n lustitia

%build
(find . -name '*.cgi' ; find . -name '*.pl') | perl -ne 'chop; open(F,$_); @l=<F>; close(F); $l[0] = "#!/usr/bin/perl$1
" if ($l[0] =~ /#!\S*perl\S*(.*)/); open(F,">$_"); print F @l; close(F)'
(find . -name '*.cgi' ; find . -name '*.pl') | xargs chmod +x

%install
mkdir -p %{buildroot}/usr/share/webmin/lustitia
cp -rp * %{buildroot}/usr/share/webmin/lustitia
echo rpm >%{buildroot}/usr/share/webmin/lustitia/install-type

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root,-)  
/usr/share/webmin/lustitia

%post
if [ "1" = "1" ]; then
	# Copy config file to /etc/webmin or /etc/usermin
	os_type=`grep "^os_type=" /etc/webmin/config | sed -e 's/os_type=//g'`
	os_version=`grep "^os_version=" /etc/webmin/config | sed -e 's/os_version=//g'`
	/usr/bin/perl /usr/share/webmin/copyconfig.pl suse 11.2 /usr/share/webmin /etc/webmin lustitia

	# Update the ACL for the root user, or the first user in the ACL
	grep "^root:" /etc/webmin/webmin.acl >/dev/null
	if [ "$?" = "0" ]; then
		user=root
	else
		user=`head -1 /etc/webmin/webmin.acl | cut -f 1 -d :`
	fi
	mods=`grep $user: /etc/webmin/webmin.acl | cut -f 2 -d :`
	echo $mods | grep " lustitia" >/dev/null
	if [ "$?" != "0" ]; then
		grep -v ^$user: /etc/webmin/webmin.acl > /tmp/webmin.acl.tmp
		echo $user: $mods lustitia > /etc/webmin/webmin.acl
		cat /tmp/webmin.acl.tmp >> /etc/webmin/webmin.acl
		rm -f /tmp/webmin.acl.tmp
	fi
fi
rm -f /etc/webmin/module.infos.cache

# Run post-install function
if [ "webmin" = "webmin" ]; then
	cd /usr/share/webmin
	WEBMIN_CONFIG=/etc/webmin WEBMIN_VAR=/var/webmin /usr/share/webmin/run-postinstalls.pl lustitia
fi

# Run post-install shell script
if [ -r "/usr/share/webmin/lustitia/postinstall.sh" ]; then
	cd /usr/share/webmin
	WEBMIN_CONFIG=/etc/webmin WEBMIN_VAR=/var/webmin /usr/share/webmin/lustitia/postinstall.sh
fi

%preun
# Run the pre-uninstall script, if we are not upgrading
if [ "webmin" = "webmin" -a "$1" = "0" -a -r "/usr/share/webmin/lustitia/uninstall.pl" ]; then
	cd /usr/share/webmin
	WEBMIN_CONFIG=/etc/webmin WEBMIN_VAR=/var/webmin /usr/share/webmin/run-uninstalls.pl lustitia
fi
/bin/true

%changelog

* Thu Mar 3 2011 - Jordi "Txor" Casas Ríos - <jordi.casas@opentrends.net>
- Changed some wrong text in Catalan language.

* Mon Jan 10 2011 - Jordi "Txor" Casas Ríos - <jordi.casas@opentrends.net>
- Changed IP repeated check to be less restrictive.

* Fri Nov 12 2010 - Jordi "Txor" Casas Ríos - <jordi.casas@opentrends.net>
- Added configuration warnings for the user at index.gci file.

* Tue Nov 09 2010 - Jordi "Txor" Casas Ríos - <jordi.casas@opentrends.net>
- Minor bug correction on postinstall.pl and uninstall.pl

* Tue Nov 2 2010 - Jordi "Txor" Casas Ríos - <jordi.casas@opentrends.net>
- Initial release.

